# class ObjectSyntax |
Full name | `Snmp::ObjectSyntax`
Definition | `#include <libs/ysnmp/yatesnmp.h>`
Inherits | AsnObject (unknown) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum ObjectSyntaxType { SIMPLE, APPLICATION_WIDE, }

#### Public Methods

- ObjectSyntax ()
- ObjectSyntax (void* data, int len)
- ~ObjectSyntax ()
- int decode (DataBlock& data)
- int encode (DataBlock& data)
- void getParams (NamedList* params)
- void setParams (NamedList* params)

#### Public Members

- static const int s_type
- int m_choiceType
- SimpleSyntax* m_simple
- ApplicationSyntax* m_application_wide

## Detailed Description

static const int s_type | ### s_type

enum ObjectSyntaxType { SIMPLE, APPLICATION_WIDE, } | ### ObjectSyntaxType

int m_choiceType | ### m_choiceType

SimpleSyntax* m_simple | ### m_simple

ApplicationSyntax* m_application_wide | ### m_application_wide

ObjectSyntax () | ### ObjectSyntax

ObjectSyntax (void* data, int len) | ### ObjectSyntax

~ObjectSyntax () | ### ~ObjectSyntax

int decode (DataBlock& data) | ### decode

int encode (DataBlock& data) | ### encode

void getParams (NamedList* params) | ### getParams

void setParams (NamedList* params) | ### setParams

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.